<!--
 * @Description: 日常养护工程计量支付统计
 * @Author: @liulin
 * @Date: 2023-03-24 16:38:19
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-27 22:14:02
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'dailyMainEngPayStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '合同金额',
            value: 'contractMoney'
          },
          {
            label: '养护合同编号',
            value: 'contractName',
          },
          {
            label: '累计计量金额',
            value: 'finishMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '累计计量比例',
            value: 'finishRate',
            format: true,
            count: val => (val && new BigNumber(val).times(100) + '%') || 0
          },
          {
            label: '本月计量金额',
            value: 'monthMoney',
						format: true,
            count: val => utils.thousandBit(val)
          },
        ],
        api: 'workOrderInformation/v1/orderMoneyReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
